Bug 211903 - kernel-debuginfo module files are not usable
kernel-debuginfo module files are not usable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: elfutils (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 15:25 EDT by Dave Anderson
Modified: 2010-10-22 02:36 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2007-0197
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Anderson 2006-10-23 15:25:41 EDT
Description of problem:

This is a clone of RHEL5 BZ #203000, "kernel-debuginfo module files are not usable"

Version-Release number of selected component (if applicable):

elfutils version used in build root for kernel-2.6.9-42.20:

$ brew latest-pkg dist-4E-U5 elfutils
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
elfutils-0.97.1-3                         dist-4E-U4            mikem
$


How reproducible:

As seen in RHEL4, this may be restricted to x86_64.


Steps to Reproduce:
1. Install a kernel-debuginfo package
2. Pick any module from the associated /lib/modules tree
3. Run gdb on the module
  
Actual results:

Example using x86_64 ext3.ko module:

# gdb /lib/modules/2.6.9-42.20.ELsmp/kernel/fs/ext3/ext3.ko
GNU gdb Red Hat Linux (6.3.0.0-1.63rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Segmentation fault

Expected results:


Additional info:
Comment 1 Dave Anderson 2006-10-23 15:27:49 EDT
This RHEL5 issue has regressed its way back into the current RHEL4 build
environment such that the problem now manifests itself there as well.
Jason believes that it happened during the 2.6.9-42.0.2 timeframe, 
which was when the new RHEL4-U4 packages were moved into the pre-RHEL4-U5
build roots.

In any case, here's an example with the latest RHEL4 kernel:

# gdb /lib/modules/2.6.9-42.20.ELsmp/kernel/fs/ext3/ext3.ko
GNU gdb Red Hat Linux (6.3.0.0-1.63rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Segmentation fault
#


Comment 16 Red Hat Bugzilla 2007-05-01 13:18:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0197.html

Note You need to log in before you can comment on or make changes to this bug.